#include "storypresent.h"
#include "dag_layout.h"
#include "xast_parse.h"
#include "dag_present.h"
#include "view_present.h"
#include <argsparser.h>
#include <QDebug>
#include <QtWidgets/QApplication>

int main(int argc, char* argv[]) {
	QApplication a(argc, argv);

	args_parse::ArgsParser entry_parser;
	QList<std::shared_ptr<args_parse::IArgvPack>> args_mode;
	args_mode << std::make_shared<args_parse::IndexParam>(u8"");
	args_mode << std::make_shared<args_parse::FloatKeyValue>(u8"--help", "ѡ");
	entry_parser.loadMode(0x000au, args_mode);
	args_mode.clear();

	args_mode << std::make_shared<args_parse::IndexParam>(u8"");
	args_mode << std::make_shared<args_parse::FloatOption>(u8"--nsc", u8"ñ빦");
	args_mode << std::make_shared<args_parse::FloatKeyValue>(u8"--path", u8"ԴĿ¼·", true);
	args_mode << std::make_shared<args_parse::FloatKeyValue>(u8"--dest", u8"ĿĿ¼");
	entry_parser.loadMode(0x000bu, args_mode);
	args_mode.clear();

	args_mode << std::make_shared<args_parse::IndexParam>(u8"");
	args_mode << std::make_shared<args_parse::FloatOption>(u8"--make_anchor");
	entry_parser.loadMode(0x000cu, args_mode);
	args_mode.clear();

	args_mode << std::make_shared<args_parse::IndexParam>(u8"");
	args_mode << std::make_shared<args_parse::FloatOption>(u8"--cmp");
	entry_parser.loadMode(0x000du, args_mode);
	args_mode.clear();

	args_mode << std::make_shared<args_parse::IndexParam>(u8"");
	args_mode << std::make_shared<args_parse::FloatOption>(u8"--graph");
	entry_parser.loadMode(0x000eu, args_mode);



	return a.exec();
}
