#pragma once
#include <QString>
#include <QList>


namespace graph_data {
	/// <summary>
	/// ͼνڵ
	/// </summary>
	class Node {
	private:
		QString _point_name;

	public:
		explicit Node(const QString& name);
		QString name() const;
	};

	/// <summary>
	/// ͼα
	/// </summary>
	class Line {
	private:
		Node _p0, _p1;

	public:
		Line(const Node& _p0, const Node& _p1);
		Line(const QString& n0, const QString& n1);

		QList<Node> points() const;
	};

	/// <summary>
	/// ı
	/// </summary>
	class Arrow : public Line {
	public:
		Arrow(const Node& s, const Node& e);
		Arrow(const QString& s, const QString& e);

		Node startPoint() const;
		Node endPoint() const;
	};
}